Bug 1416900 - [abrt] terminator: container.py:282:describe_layout:KeyError: <Terminal object at 0x7f97141d1a50 (terminatorlib+terminal+Terminal at 0x560e3d272b40)>
Summary: [abrt] terminator: container.py:282:describe_layout:KeyError: <Terminal objec...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: terminator
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b20c88fd3d4c9c8a3eb2307c781...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 18:11 UTC by Mikael
Modified: 2017-08-08 19:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:36:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.66 KB, text/plain)
2017-01-26 18:11 UTC, Mikael
no flags Details
File: environ (3.09 KB, text/plain)
2017-01-26 18:11 UTC, Mikael
no flags Details

Description Mikael 2017-01-26 18:11:40 UTC
Description of problem:
Went to Preferences -> Layouts. Clicked on default layout, child1 window, and chose a 
different profile for this layout.
Hit save. 
A popup appeared about an error, landing me in this bugreporting interface.

Version-Release number of selected component:
terminator-0.98-3.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        /usr/bin/python /usr/bin/terminator
executable:     /usr/bin/terminator
kernel:         4.9.5-100.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
container.py:282:describe_layout:KeyError: <Terminal object at 0x7f97141d1a50 (terminatorlib+terminal+Terminal at 0x560e3d272b40)>

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/terminatorlib/prefseditor.py", line 1145, in on_layoutrefreshbutton_clicked
    current_layout = terminator.describe_layout()
  File "/usr/lib/python2.7/site-packages/terminatorlib/terminator.py", line 477, in describe_layout
    count = window.describe_layout(count, parent, layout, 0)
  File "/usr/lib/python2.7/site-packages/terminatorlib/container.py", line 304, in describe_layout
    count = child.describe_layout(count, name, global_layout, child_order)
  File "/usr/lib/python2.7/site-packages/terminatorlib/container.py", line 282, in describe_layout
    last_active_term.append(self.last_active_term[self.get_nth_page(tabnum)])
KeyError: <Terminal object at 0x7f97141d1a50 (terminatorlib+terminal+Terminal at 0x560e3d272b40)>

Local variables in innermost frame:
count: 1
layout: {'type': 'Notebook', 'order': 0, 'parent': 'child0'}
parent: 'child0'
global_layout: {'child0': {'fullscreen': False, 'maximised': True, 'parent': '', 'title': '/bin/bash', 'last_active_window': True, 'position': '2560:0', 'type': 'Window', 'order': 0, 'size': (2560, 1416)}}
self: <Notebook object at 0x7f97137f1b90 (terminatorlib+notebook+Notebook at 0x560e3cf2d7f0)>
labels: [None]
label: <TabLabel object at 0x7f97137f1b40 (terminatorlib+notebook+TabLabel at 0x560e3d5e04b0)>
maker: <terminatorlib.factory.Factory instance at 0x7f971224a518>
child_order: 0
mytype: 'Notebook'
tabnum: 0
page: <Terminal object at 0x7f97141d1a50 (terminatorlib+terminal+Terminal at 0x560e3d272b40)>
last_active_term: []

Comment 1 Mikael 2017-01-26 18:11:44 UTC
Created attachment 1244817 [details]
File: backtrace

Comment 2 Mikael 2017-01-26 18:11:45 UTC
Created attachment 1244818 [details]
File: environ

Comment 3 Fedora End Of Life 2017-07-26 00:12:59 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 19:36:16 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.